com.nxp.nfc_demo.adapters

## Class TabsAdapter

- java.lang.Object
- - android.support.v4.view.PagerAdapter
  - - android.support.v4.app.FragmentPagerAdapter
    - - com.nxp.nfc_demo.adapters.TabsAdapter

- All Implemented Interfaces:
    android.support.v4.view.ViewPager.OnPageChangeListener, android.widget.TabHost.OnTabChangeListener

      public class TabsAdapter
      extends android.support.v4.app.FragmentPagerAdapter
      implements android.widget.TabHost.OnTabChangeListener, android.support.v4.view.ViewPager.OnPageChangeListener

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `TabsAdapter.DummyTabFactory`
    `(package private) static class` | `TabsAdapter.TabInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.content.Context` | `mContext`
    `private android.widget.TabHost` | `mTabHost`
    `private java.util.ArrayList<TabsAdapter.TabInfo>` | `mTabs`
    `private android.support.v4.view.ViewPager` | `mViewPager`

    - ### Fields inherited from class android.support.v4.view.PagerAdapter

      `POSITION_NONE, POSITION_UNCHANGED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabsAdapter(android.support.v4.app.FragmentActivity activity, android.widget.TabHost tabHost, android.support.v4.view.ViewPager pager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTab(android.widget.TabHost.TabSpec tabSpec, java.lang.Class<?> clss, android.os.Bundle args)`
    `int` | `getCount()`
    `android.support.v4.app.Fragment` | `getItem(int position)`
    `void` | `onPageScrolled(int position, float positionOffset, int positionOffsetPixels)`
    `void` | `onPageScrollStateChanged(int state)`
    `void` | `onPageSelected(int position)`
    `void` | `onTabChanged(java.lang.String tabId)`

    - ### Methods inherited from class android.support.v4.app.FragmentPagerAdapter

      `destroyItem, finishUpdate, getItemId, instantiateItem, isViewFromObject, restoreState, saveState, setPrimaryItem, startUpdate`

    - ### Methods inherited from class android.support.v4.view.PagerAdapter

      `destroyItem, finishUpdate, getItemPosition, getPageTitle, getPageWidth, instantiateItem, notifyDataSetChanged, registerDataSetObserver, setPrimaryItem, startUpdate, unregisterDataSetObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mContext

          private final android.content.Context mContext

    - #### mTabHost

          private final android.widget.TabHost mTabHost

    - #### mViewPager

          private final android.support.v4.view.ViewPager mViewPager

    - #### mTabs

          private final java.util.ArrayList<TabsAdapter.TabInfo> mTabs

  - ### Constructor Detail

    - #### TabsAdapter

          public TabsAdapter(android.support.v4.app.FragmentActivity activity,
                     android.widget.TabHost tabHost,
                     android.support.v4.view.ViewPager pager)

  - ### Method Detail

    - #### addTab

          public void addTab(android.widget.TabHost.TabSpec tabSpec,
                    java.lang.Class<?> clss,
                    android.os.Bundle args)

    - #### getCount

          public int getCount()

      Specified by:
        `getCount` in class `android.support.v4.view.PagerAdapter`

    - #### getItem

          public android.support.v4.app.Fragment getItem(int position)

      Specified by:
        `getItem` in class `android.support.v4.app.FragmentPagerAdapter`

    - #### onTabChanged

          public void onTabChanged(java.lang.String tabId)

      Specified by:
        `onTabChanged` in interface `android.widget.TabHost.OnTabChangeListener`

    - #### onPageScrolled

          public void onPageScrolled(int position,
                            float positionOffset,
                            int positionOffsetPixels)

      Specified by:
        `onPageScrolled` in interface `android.support.v4.view.ViewPager.OnPageChangeListener`

    - #### onPageSelected

          public void onPageSelected(int position)

      Specified by:
        `onPageSelected` in interface `android.support.v4.view.ViewPager.OnPageChangeListener`

    - #### onPageScrollStateChanged

          public void onPageScrollStateChanged(int state)

      Specified by:
        `onPageScrollStateChanged` in interface `android.support.v4.view.ViewPager.OnPageChangeListener`